<template>
  <router-view />
</template>

<script>
import { mapActions } from 'vuex';
import { readAllPizzas } from '../services/pizza';

export default {
  methods: {
    ...mapActions(['setPizzas'])
  },
  mounted() {
    readAllPizzas().then(result => {
      this.setPizzas(result);
    });
  }
};
</script>
